Updated: 2014-02-17 Due date: 2014-02-14
Remote issue URL:
Affected version:
Description: Is it possible to migrate a chilliproject database to redmine?

History
2014-02-10 09:21 am - Chris Dähn
Yes, I've done it last week - just see here and use Redmine 2.1 as starting point:

http://code.google.com/p/chili-to-redmine/

If you can wait, I can write a more detailed blog post with some more hints for typical migration issues...

Chris

2014-02-10 01:37 pm - Markus Guske
+1 - I guess a lot of us appreciate your effort

2014-02-10 03:30 pm - Chris Dähn
Currently I'm struggling with some issues where Redmine crashes when displaying issue details - so I need some days to find a fix for that.

Hopefully I can deliver some scripts and fixes till Friday. A simple german step-by-step docu already exists and just has to be translated.

2014-02-10 03:31 pm - Chris Dähn
- Due date set to 2014-02-14

- Status changed from Open to Needs more information

- Assignee set to Chris Dähn

2014-02-10 03:59 pm - Rob Terhaar
Chris,
How I can help?

2014-02-10 04:15 pm - Chris Dähn
I´m afraid you can't ;-) ...regarding the bugs around displaying issues (there are only a few out of thousands which make problems - 99,9% of all issue 
tickets don't face any problems after migration).

Do you need the howto very shortly? (today?)

2014-02-15 06:57 pm - Robin Hahling
I'll upgrade my server next April so I'll migrate from Chiliproject to Redmine at the same time and am therefore interested in a working solution to do this 
task.
I came across "this script":https://gist.github.com/pallan/6663018 which seems to take care of a database migration from Chiliproject to Redmine >= 
2.3. I haven't tested it yet however.

2014-02-17 10:59 am - Chris Dähn
As promised here a simple guide from our migration - which extends the "chili-to-redmine":http://code.google.com/p/chili-to-redmine/ guide:

https://github.com/asinteg/chiliproject-to-redmine/blob/master/README.md

I've not tested the Ruby scrip, but it should to exactly the same job of the Java tool of the "chili-to-redmine":http://code.google.com/p/chili-to-redmine/ 
guide.

The problems you have to face with, are the same for any migration tool - unless it contains the SQL fixes of our Readme (which it doesn't).

I hope the Readme / updated guide helps - if you have questions: Don't hesitate to contact me.

2014-02-17 10:59 am - Chris Dähn
- Status changed from Needs more information to Ready for review
